For the complete documentation index, see llms.txt. This page is also available as Markdown.

Agent

Setup Agentic Components

Register Agent

Register Agent

post

Register an AI Agent

Authorizations
OAuth2passwordRequired
Token URL:
Body
cluster_namestringRequired

Name of the cluster in which to deploy AI Agent

agent_namestringRequired

Name of the AI Agent

imagestringRequired

Container image for the AI Agent

image_pull_secretstringRequired

Image pull secret for pulling the AI Agent image

task_server_namestringRequired

Name of the task server that the AI Agent will execute tasks on

checkpoint_db_namestringRequired

Name of the checkpoint db in which the AI Agent will save its data

replicasintegerRequired

Number of replicas of AI agent to be deployed

iam_role_arnstring · nullableOptional

IAM role to be assigned to the AI Agent

Responses
201

Successful Response

application/json
messagestringRequired
post/v1/agent/register
POST /v1/agent/register HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 174

{
  "cluster_name": "text",
  "agent_name": "text",
  "image": "text",
  "image_pull_secret": "text",
  "task_server_name": "text",
  "checkpoint_db_name": "text",
  "replicas": 1,
  "iam_role_arn": "text"
}
{
  "message": "text"
}

Deploy Agent

Deploy Agent

post

Deply an AI Agent

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
agent_namestringRequired
Responses
200

Successful Response

application/json
messagestringRequired
post/v1/agent/{agent_name}/deploy
POST /v1/agent/{agent_name}/deploy HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "message": "text"
}

Update Agent

Update Agent

patch

Update an AI agent

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
agent_namestringRequired
Body
imagestring · nullableOptional

Container image for the AI Agent

image_pull_secretstring · nullableOptional

Image pull secret for pulling the AI Agent image

task_server_namestring · nullableOptional

Name of the task server that the AI Agent will execute tasks on

checkpoint_db_namestring · nullableOptional

Name of the checkpoint db in which the AI Agent will save its data

replicasinteger · nullableOptional

Number of replicas of AI agent to be deployed

iam_role_arnstring · nullableOptional

IAM role to be assigned to the AI Agent

Responses
200

Successful Response

application/json
messagestringRequired
patch/v1/agent/{agent_name}
PATCH /v1/agent/{agent_name} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 132

{
  "image": "text",
  "image_pull_secret": "text",
  "task_server_name": "text",
  "checkpoint_db_name": "text",
  "replicas": 1,
  "iam_role_arn": "text"
}
{
  "message": "text"
}

Delete Agent

Delete Agent

delete

Delete an AI Agent

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
agent_namestringRequired
Responses
200

Successful Response

application/json
messagestringRequired
delete/v1/agent/{agent_name}
DELETE /v1/agent/{agent_name} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "message": "text"
}

Last updated